0

I tried to implement the Hero with Xeno Hero in the Bootstrap Paragraphs in Drupal 8. I encountered an error when I tried to import the config of the sub module. I am not sure if I do it the right way but I ended up getting this error.

The configuration cannot be imported because it failed validation for the following reasons: Configuration paragraphs.paragraphs_type.paragraph.xeno_hero.default depends on configuration (field.field.paragraph.xeno_hero.xeno_content, field.field.paragraph.xeno_hero.xeno_invert, field.field.paragraph.xeno_hero.xeno_offset, field.field.paragraph.xeno_hero.xeno_overlay, field.field.paragraph.xeno_hero.xeno_parallax, paragraphs.paragraphs_type.xeno_hero) that will not exist after import.

What I did is importing a single item, but I don't know which configuration type to go for, so I tried Entity Form Display and Entity View Display as well as Fields.

Could anyone just point me to the right direction or show me hints that I could follow to get this right?

5
  • Welcome to Drupal Answers! It would help knowing how you imported the module configuration. Chances are it's how the configuration is imported to cause problems. Why do you need to import the configuration? A module configuration is normally imported when a module is installed.
    – apaderno
    Oct 6, 2019 at 12:22
  • To be honest I don't really know what I am doing. What I'm trying to achieve is to be able to use the Hero bootstrap paragraph which is part of the bootstrap paragraph module but it is not installed by default. I downloaded a xeno_hero project on github and put it in the module folder and install it but when I create a paragraph type I cannot see the field with xeno_.
    – Kaka Awira
    Oct 7, 2019 at 12:39
  • By following the video by the guys who made the bootstrap paragraph, I see that you have to import the configuration of the submodule in order to be able to use it when creating a new field but I am lost and I cannot get it to work.
    – Kaka Awira
    Oct 7, 2019 at 12:40
  • Keep in mind that we don't know what instructions that video does, so we cannot know exactly what you did, what you did wrong, or what is wrong in the given instructions (which could also be not updated for the latest Drupal 8 version). Then, without having a link to the module you are referring, and which changes (if you did any) you did to that module, we cannot tell you why you are getting that error message.
    – apaderno
    Oct 7, 2019 at 12:44
  • Supposing you didn't change anything in the module code, the better way to get help with that module is posting in the issue queue for that module. If you did change the module code, you should show the changes you have done.
    – apaderno
    Oct 7, 2019 at 12:52

1 Answer 1

0

To use that module, you should upload it to the site, usually in the /modules/custom/ folder since it is not an official Drupal.org module, and then enable it. The configuration should get installed when you enable it. You should not have to do that manually.

After the module is enabled, you need to edit the Paragraph reference fields that you want to make this bundle available in.

Hope that helps.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.